Package relaxngcc.grammar

## Class NGCCCallParam

- java.lang.Object
- - relaxngcc.grammar.NGCCCallParam

-     public class NGCCCallParam
      extends java.lang.Object

  Parameters attached to a <ref> pattern.
  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NGCCCallParam​(ParserRuntime rt, java.lang.String withParams_, java.lang.String alias_)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAlias()` |
    `java.lang.String` | `getWithParams()` |
    `void` | `setWithParams​(java.lang.String withParams)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NGCCCallParam

          public NGCCCallParam​(ParserRuntime rt,
                               java.lang.String withParams_,
                               java.lang.String alias_)

  - ### Method Detail

    - #### getAlias

          public java.lang.String getAlias()

    - #### getWithParams

          public java.lang.String getWithParams()

    - #### setWithParams

          public void setWithParams​(java.lang.String withParams)